CONFIG+=qt gui
QT += core widgets
DEFINES+="VVV3D_BACKEND_QT"

INCLUDEPATH+= \
    $$PWD \
    $$PWD/vvv3d \
    $$PWD/stdhelper/src \
    $$PWD/vvvcfg $$PWD/vvvcfg/vvvcfg \
    $$PWD/vvcfg/token_parser

SOURCES+= \
    $$PWD/vvv3d/core/camera.cpp \
    $$PWD/vvv3d/core/engine.cpp \
    $$PWD/vvv3d/core/graphics/color.cpp \
    $$PWD/vvv3d/core/graphics/fonts/font.cpp \
    $$PWD/vvv3d/core/graphics/fonts/font_desc.cpp \
    $$PWD/vvv3d/core/graphics/fonts/textline.cpp \
    $$PWD/vvv3d/core/graphics/framebufferobject.cpp \
    $$PWD/vvv3d/core/graphics/geometry.cpp \
    $$PWD/vvv3d/core/graphics/lowlevel/lowlevelbuffer.cpp \
    $$PWD/vvv3d/core/graphics/lowlevel/lowlevelgeometry.cpp \
    $$PWD/vvv3d/core/graphics/lowlevel/lowlevelshader.cpp \
    $$PWD/vvv3d/core/graphics/lowlevel/lowlevelshaderprogram.cpp \
    $$PWD/vvv3d/core/graphics/lowlevel/lowleveltexture.cpp \
    $$PWD/vvv3d/core/graphics/lowlevel/vertexattribute.cpp \
    $$PWD/vvv3d/core/graphics/shaders/shader.cpp \
    $$PWD/vvv3d/core/graphics/textures/texture.cpp \
    $$PWD/vvv3d/core/graphics/textures/textureatlas.cpp \
    $$PWD/vvv3d/core/graphics/textures/texturemanager.cpp \
    $$PWD/vvv3d/core/hal/fonts/interface/font_interface.cpp \
    $$PWD/vvv3d/core/hal/fonts/interface/systemfonts.cpp \
    $$PWD/vvv3d/core/hal/hal.cpp \
    $$PWD/vvv3d/core/input.cpp \
    $$PWD/vvv3d/core/viewport.cpp \
    $$PWD/vvv3d/private/qt_hal_impl/qt_font_impl.cpp \
    $$PWD/vvv3d/private/qt_hal_impl/qthallayer.cpp \
    $$PWD/vvv3d/private/qt_hal_impl/qtinput.cpp \
    $$PWD/vvv3d/private/qt_hal_impl/qtopenglprovider.cpp \
    $$PWD/vvv3d/private/qt_hal_impl/qtopenglwindow.cpp \
    $$PWD/vvv3d/std/draw.cpp \
    $$PWD/vvv3d/std/geometries/cube.cpp \
    $$PWD/vvv3d/std/geometries/quad.cpp \
    $$PWD/vvv3d/std/gui/activewidget.cpp \
    $$PWD/vvv3d/std/gui/buttonbase.cpp \
    $$PWD/vvv3d/std/gui/buttontext.cpp \
    $$PWD/vvv3d/std/gui/colorrectanglewidget.cpp \
    $$PWD/vvv3d/std/gui/eventtestwidget.cpp \
    $$PWD/vvv3d/std/gui/gui_layer_base.cpp \
    $$PWD/vvv3d/std/gui/horizontallayout.cpp \
    $$PWD/vvv3d/std/gui/hslider.cpp \
    $$PWD/vvv3d/std/gui/imagewidget.cpp \
    $$PWD/vvv3d/std/gui/layout.cpp \
    $$PWD/vvv3d/std/gui/lineedit.cpp \
    $$PWD/vvv3d/std/gui/panel.cpp \
    $$PWD/vvv3d/std/gui/properties/iaction.cpp \
    $$PWD/vvv3d/std/gui/sliderbase.cpp \
    $$PWD/vvv3d/std/gui/textwidget.cpp \
    $$PWD/vvv3d/std/gui/verticallayout.cpp \
    $$PWD/vvv3d/std/gui/widget.cpp \
    $$PWD/vvv3d/std/gui/widgetindex/gui_layer.cpp \
    $$PWD/vvv3d/std/gui/widgetindex/property_mapper.cpp \
    $$PWD/vvv3d/std/gui/widgetindex/standard_properties.cpp \
    $$PWD/vvv3d/std/gui/widgetindex/standard_widget_fabrics.cpp \
    $$PWD/vvv3d/std/gui/widgetindex/widget_fabric.cpp \
    $$PWD/vvv3d/std/lighting/light.cpp \
    $$PWD/vvv3d/std/log.cpp \
    $$PWD/vvv3d/std/sprites/animation.cpp \
    $$PWD/vvv3d/std/sprites/animationplayer.cpp \
    $$PWD/vvv3d/std/sprites/sprite.cpp \
    $$PWD/vvv3d/std/text.cpp \
    $$PWD/vvv3d/std/texture_io.cpp \
    $$PWD/vvv3d/utils/helper.cpp \
    $$PWD/vvv3d/utils/myutils.cpp \
    $$PWD/vvvcfg/token_parser/generated/dncfg_token_fsm.c \
    $$PWD/vvvcfg/token_parser/token_parser.cpp \
    $$PWD/vvvcfg/vvvcfg/cfg_node.cpp \
    $$PWD/vvvcfg/vvvcfg/cfg_node_value.cpp \
    $$PWD/vvvcfg/vvvcfg/generated/dncfg_node_fsm.c \
    $$PWD/vvvcfg/vvvcfg/node_parser.cpp
HEADERS+= \
    $$PWD/vvv3d/core/camera.hpp \
    $$PWD/vvv3d/core/engine.hpp \
    $$PWD/vvv3d/core/graphics/color.hpp \
    $$PWD/vvv3d/core/graphics/fonts/font.hpp \
    $$PWD/vvv3d/core/graphics/fonts/font_desc.hpp \
    $$PWD/vvv3d/core/graphics/fonts/font_metrics.hpp \
    $$PWD/vvv3d/core/graphics/fonts/glyph.hpp \
    $$PWD/vvv3d/core/graphics/fonts/textline.hpp \
    $$PWD/vvv3d/core/graphics/framebufferobject.hpp \
    $$PWD/vvv3d/core/graphics/geometry.hpp \
    $$PWD/vvv3d/core/graphics/lowlevel/lowlevelbuffer.hpp \
    $$PWD/vvv3d/core/graphics/lowlevel/lowlevelgeometry.hpp \
    $$PWD/vvv3d/core/graphics/lowlevel/lowlevelshader.hpp \
    $$PWD/vvv3d/core/graphics/lowlevel/lowlevelshaderprogram.hpp \
    $$PWD/vvv3d/core/graphics/lowlevel/lowleveltexture.hpp \
    $$PWD/vvv3d/core/graphics/lowlevel/openglprovider.hpp \
    $$PWD/vvv3d/core/graphics/lowlevel/vertexattribute.hpp \
    $$PWD/vvv3d/core/graphics/shaders/shader.hpp \
    $$PWD/vvv3d/core/graphics/textures/texture.hpp \
    $$PWD/vvv3d/core/graphics/textures/textureatlas.hpp \
    $$PWD/vvv3d/core/graphics/textures/texturemanager.hpp \
    $$PWD/vvv3d/core/graphics/textures/texturepacker.hpp \
    $$PWD/vvv3d/core/hal/fonts/interface/font_interface.hpp \
    $$PWD/vvv3d/core/hal/fonts/interface/systemfonts.hpp \
    $$PWD/vvv3d/core/hal/hal.hpp \
    $$PWD/vvv3d/core/input.hpp \
    $$PWD/vvv3d/core/inputevent.hpp \
    $$PWD/vvv3d/core/resourcemanager.hpp \
    $$PWD/vvv3d/core/time.hpp \
    $$PWD/vvv3d/core/transform.hpp \
    $$PWD/vvv3d/core/viewport.hpp \
    $$PWD/vvv3d/private/qt_hal_impl/qt_font_impl.h \
    $$PWD/vvv3d/private/qt_hal_impl/qthallayer.hpp \
    $$PWD/vvv3d/private/qt_hal_impl/qtinput.hpp \
    $$PWD/vvv3d/private/qt_hal_impl/qtopenglprovider.hpp \
    $$PWD/vvv3d/private/qt_hal_impl/qtopenglwindow.h \
    $$PWD/vvv3d/std/draw.hpp \
    $$PWD/vvv3d/std/geometries/cube.hpp \
    $$PWD/vvv3d/std/geometries/quad.hpp \
    $$PWD/vvv3d/std/gui/actionlist.hpp \
    $$PWD/vvv3d/std/gui/actionmap.hpp \
    $$PWD/vvv3d/std/gui/activewidget.hpp \
    $$PWD/vvv3d/std/gui/align.hpp \
    $$PWD/vvv3d/std/gui/buttonbase.hpp \
    $$PWD/vvv3d/std/gui/buttontext.hpp \
    $$PWD/vvv3d/std/gui/colorrectanglewidget.hpp \
    $$PWD/vvv3d/std/gui/eventtestwidget.hpp \
    $$PWD/vvv3d/std/gui/gui_layer_base.hpp \
    $$PWD/vvv3d/std/gui/horizontallayout.hpp \
    $$PWD/vvv3d/std/gui/hslider.hpp \
    $$PWD/vvv3d/std/gui/imagewidget.hpp \
    $$PWD/vvv3d/std/gui/layout.hpp \
    $$PWD/vvv3d/std/gui/lineedit.hpp \
    $$PWD/vvv3d/std/gui/panel.hpp \
    $$PWD/vvv3d/std/gui/properties/iaction.hpp \
    $$PWD/vvv3d/std/gui/properties/iautoresize.hpp \
    $$PWD/vvv3d/std/gui/properties/ibgcolor.hpp \
    $$PWD/vvv3d/std/gui/properties/iborder.hpp \
    $$PWD/vvv3d/std/gui/properties/icolor.hpp \
    $$PWD/vvv3d/std/gui/properties/icontainer.hpp \
    $$PWD/vvv3d/std/gui/properties/icursorcolor.hpp \
    $$PWD/vvv3d/std/gui/properties/iexpand.hpp \
    $$PWD/vvv3d/std/gui/properties/ifont.hpp \
    $$PWD/vvv3d/std/gui/properties/ihalign.hpp \
    $$PWD/vvv3d/std/gui/properties/iimage.hpp \
    $$PWD/vvv3d/std/gui/properties/ilayout_props.hpp \
    $$PWD/vvv3d/std/gui/properties/ipadding.hpp \
    $$PWD/vvv3d/std/gui/properties/irange.hpp \
    $$PWD/vvv3d/std/gui/properties/itext.hpp \
    $$PWD/vvv3d/std/gui/properties/ivalign.hpp \
    $$PWD/vvv3d/std/gui/properties/ivalue.hpp \
    $$PWD/vvv3d/std/gui/rect.hpp \
    $$PWD/vvv3d/std/gui/sliderbase.hpp \
    $$PWD/vvv3d/std/gui/textwidget.hpp \
    $$PWD/vvv3d/std/gui/verticallayout.hpp \
    $$PWD/vvv3d/std/gui/widget.hpp \
    $$PWD/vvv3d/std/gui/widgetindex/gui_layer.hpp \
    $$PWD/vvv3d/std/gui/widgetindex/property_mapper.hpp \
    $$PWD/vvv3d/std/gui/widgetindex/standard_properties.hpp \
    $$PWD/vvv3d/std/gui/widgetindex/standard_widget_fabrics.hpp \
    $$PWD/vvv3d/std/gui/widgetindex/widget_fabric.hpp \
    $$PWD/vvv3d/std/lighting/light.hpp \
    $$PWD/vvv3d/std/log.hpp \
    $$PWD/vvv3d/std/sprites/animation.hpp \
    $$PWD/vvv3d/std/sprites/animationplayer.hpp \
    $$PWD/vvv3d/std/sprites/sprite.hpp \
    $$PWD/vvv3d/std/text.hpp \
    $$PWD/vvv3d/std/texture_io.hpp \
    $$PWD/vvv3d/utils/helper.hpp \
    $$PWD/vvv3d/utils/myutils.hpp \
    $$PWD/vvv3d/utils/utf8string.hpp \
    $$PWD/vvv3d/vvv3d.hpp \
    $$PWD/vvv3d/vvv3dgui.hpp \
    $$PWD/vvv3d/vvvmath/functions.hpp \
    $$PWD/vvv3d/vvvmath/linalg.hpp \
    $$PWD/vvv3d/vvvmath/mathconstants.hpp \
    $$PWD/vvv3d/vvvmath/matrices_types.hpp \
    $$PWD/vvv3d/vvvmath/matrix33.hpp \
    $$PWD/vvv3d/vvvmath/matrix44.hpp \
    $$PWD/vvv3d/vvvmath/polynomial.hpp \
    $$PWD/vvv3d/vvvmath/quaternion.hpp \
    $$PWD/vvv3d/vvvmath/vector2.hpp \
    $$PWD/vvv3d/vvvmath/vector3.hpp \
    $$PWD/vvv3d/vvvmath/vector4.hpp \
    $$PWD/vvvcfg/token_parser/generated/dncfg_token_fsm.h \
    $$PWD/vvvcfg/token_parser/token_parser.hpp \
    $$PWD/vvvcfg/vvvcfg/any.hpp \
    $$PWD/vvvcfg/vvvcfg/cfg_node.hpp \
    $$PWD/vvvcfg/vvvcfg/cfg_node_value.hpp \
    $$PWD/vvvcfg/vvvcfg/generated/dncfg_node_fsm.h \
    $$PWD/vvvcfg/vvvcfg/vvvcfg.hpp
